Skip to navigation

Get EntitySchema by ID

Beta
Get a single EntitySchema by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entity_schema_idstringRequired
ID of the EntitySchema.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
Reason the EntitySchema was archived
archivedbooleanOptional
If the EntitySchema is archived
availableRegistrationNamingOptionslist of enumsOptional
Naming strategies allowed when registering entities of this schema
constraintobject or nullOptional

Defines uniqueness requirements for entities within a schema. Constraints ensure that registered entities have unique values across specified fields (see fieldDefinitionNames) or unique domain-specific properties (see TypeSpecificConstraint). The hasUniqueResidues field is a legacy indicator for sequence uniqueness.

containableTypeenumOptional
Allowed values:
createdAtstring or nullOptional
descriptionstringOptional
fieldDefinitionsstringOptionalformat: "uri"
idstringOptional
modifiedAtstringOptional
DateTime the Entity Schema was last modified
namestringOptional
prefixstringOptional
registryobjectOptional
Registry the EntitySchema is in
typestringOptional
validationRulesstringOptionalformat: "uri"

Errors

400
Entity Schema Get Request Bad Request Error
403
Entity Schema Get Request Forbidden Error
404
Entity Schema Get Request Not Found Error
429
Entity Schema Get Request Too Many Requests Error
500
Entity Schema Get Request Internal Server Error